﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;

namespace GridComboEditor
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //Binding data to the grid
            DataTable dataTable = new DataTable("WorkSchedule");
            dataTable.Columns.Add("Employee", typeof(string));
            dataTable.Columns.Add("DayOff", typeof(DateTime));
            dataTable.Rows.Add(new object[] { "Alice", null });
            dataTable.Rows.Add(new object[] { "Bob", null });
            dataTable.Rows.Add(new object[] { "Cher", null });
            dataTable.Rows.Add(new object[] { "Don", null });
            dataTable.Rows.Add(new object[] { "Ellen", null });
            this.ultraGrid1.Text = "Employee Schedule";
            this.ultraGrid1.DataSource = dataTable;

            //Binding data to the comboeditor
            this.ultraComboEditor1.Items.Add("aaa");
            this.ultraComboEditor1.Items.Add("bbb");
            this.ultraComboEditor1.Items.Add("ccc");
            this.ultraComboEditor1.Items.Add("ddd");
            this.ultraComboEditor1.Items.Add("eee");
            this.ultraComboEditor1.CheckedListSettings.CheckBoxStyle = CheckStyle.CheckBox;
            this.ultraComboEditor1.CheckedListSettings.CheckBoxAlignment = ContentAlignment.MiddleRight;
            this.ultraComboEditor1.CheckedListSettings.EditorValueSource = EditorWithComboValueSource.CheckedItems;

            //this.ultraGrid1.Rows[0].Cells[0].EditorComponent = this.ultraComboEditor1;
            //foreach (ValueListItem item in ultraComboEditor1.Items)
            //{
            //    item.CheckState = CheckState.Checked;
            //}
            
        }

        private void ultraGrid1_AfterCellActivate(object sender, EventArgs e)
        {
            
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            e.Row.Cells[0].EditorComponent = this.ultraComboEditor1;
            e.Row.Cells[0].Value = "aaa,bbb,ccc,ddd,eee";
        }
    }
}
